Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class WrapperConcurrentMap.Lock

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.WrapperConcurrentMap.Lock`

Enclosing class:
  WrapperConcurrentMap

      protected static class WrapperConcurrentMap.Lock

extends Base

A lock object.

Constructor Summary
`protected` | `WrapperConcurrentMap.Lock()` Construct a new Lock object.

Method Summary
`protected boolean` | `assign(long cWait)` Assign the ownership of this Lock to the calling thread.
`protected int` | `getBlockCount()` Return the blocked threads count.
`protected int` | `getLockCount()` Return the lock count.
`protected Thread` | `getLockThread()` Return the Thread object holding this Lock.
`protected String` | `getLockTypeDescription()` Return a human readable decription of the Lock type
`protected boolean` | `isDirty()` Checks whether or not this Lock object is held by another thread.
`protected boolean` | `isDiscardable()` Checks whether or not this Lock object is discardable.
`protected boolean` | `isOwnedByCaller()` Checks whether or not this Lock object is held by the calling thread.
`protected boolean` | `release()` Release this Lock.
`String` | `toString()` Return a human readable decription of the Lock
`protected long` | `waitForNotify(long cWait)` Wait for a Lock release notification.

Constructor Detail

### WrapperConcurrentMap.Lock

    protected WrapperConcurrentMap.Lock()

  Construct a new Lock object.

Method Detail

### assign

    protected boolean assign(long cWait)

  Assign the ownership of this Lock to the calling thread.

  Note: caller of this method is expected to hold a synchronization monitor for the Lock object while making this call.

  Parameters:
    `cWait` - the number of milliseconds to continue trying to obtain a lock; pass zero to return immediately; pass -1 to block the calling thread until the lock could be obtained
  Returns:
    true if lock was successful; false otherwise

### waitForNotify

    protected long waitForNotify(long cWait)

  Wait for a Lock release notification.

  Note: caller of this method is expected to hold a synchronization monitor for the Lock object while making this call.

  Parameters:
    `cWait` - the number of milliseconds to continue waiting; pass -1 to block the calling thread indefinitely
  Returns:
    updated wait time.

### release

    protected boolean release()

  Release this Lock.

  Note: caller of this method is expected to hold a synchronization monitor for the Lock object while making this call.

  Returns:
    true if unlock is successful; false if the entry remained locked

### isDirty

    protected boolean isDirty()

  Checks whether or not this Lock object is held by another thread.

  Note: caller of this method is expected to hold a synchronization monitor for the Lock object while making this call.

  Returns:
    true if the Lock is held by another thread; false otherwise

### isOwnedByCaller

    protected boolean isOwnedByCaller()

  Checks whether or not this Lock object is held by the calling thread.

  Note: unlike other methods of this class, the caller of this method is not required to hold a synchronization monitor for the Lock object while making this call.

  Returns:
    true if the Lock is held by the calling thread; false otherwise

### isDiscardable

    protected boolean isDiscardable()

  Checks whether or not this Lock object is discardable.

  Note: caller of this method is expected to hold a synchronization monitor for the Lock object while making this call.

  Returns:
    true if the Lock is discardable; false otherwise

### getLockThread

    protected Thread getLockThread()

  Return the Thread object holding this Lock.
  Returns:
    the Thread object holding this Lock.

### getLockCount

    protected int getLockCount()

  Return the lock count.
  Returns:
    the lock count

### getBlockCount

    protected int getBlockCount()

  Return the blocked threads count.
  Returns:
    the blocked threads count

### getLockTypeDescription

    protected String getLockTypeDescription()

  Return a human readable decription of the Lock type
  Returns:
    a human readable decription of the Lock type

### toString

    public String toString()

  Return a human readable decription of the Lock
  Returns:
    a human readable decription of the Lock

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.